<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.channel.fork.protocol.ASYM_ENCRYPT.key-credential-reference">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="store,alias,type,clear-text"/>
        <elem name="complex-attribute" value="key-credential-reference"/>
        <elem name="addr-params" value="profile,subsystem,channel,fork,protocol"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <requires>
        <capability name="$profile.org.wildfly.security.credential-store.$store" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.jgroups.channel.fork.protocol.ASYM_ENCRYPT"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="fork" feature-id="true"/>
        <param name="protocol" feature-id="true" default="ASYM_ENCRYPT"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="channel" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="alias" nillable="true"/>
        <param name="store" nillable="true"/>
        <param name="type" nillable="true"/>
        <param name="clear-text" nillable="true"/>
    </params>
</feature-spec>